#
# spec file for package crosstool-ng
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           crosstool-ng
Version:        1.21.0
Release:        4.22
Summary:        Toolchain building framework
License:        GPL-2.0 and GPL-2.0+ and GPL-3.0+ and LGPL-2.1 and LGPL-3.0+
Group:          Development/Tools/Building
Url:            http://crosstool-ng.org
Source0:        http://crosstool-ng.org/download/crosstool-ng/%{name}-%{version}.tar.bz2
BuildRequires:  bison
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  gperf
BuildRequires:  libtool
BuildRequires:  makeinfo
BuildRequires:  ncurses-devel
BuildRequires:  wget
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       bzip2
Requires:       gcc
Requires:       gcc-c++
Requires:       glibc-devel-static
Requires:       gzip
Requires:       m4
Requires:       wget
Requires:       xz

%description
crosstool-NG aims at building toolchains. Toolchains are an essential component
in a software development project. It will compile, assemble and link the code
that is being developed. Some pieces of the toolchain will eventually end up
in the resulting binary/ies: static libraries are but an example. 

%prep
%setup -qc %{name}-%{version}
# from legal team
# "Distribution and use is free, also for commercial purposes" (no modification permission) 
find patches/ -name '*-new-valencian-locale.patch' -type f -delete -print

%build
%configure \
    --docdir=%{_docdir}/%{name}

make %{?_smp_mflags}

%install
%make_install
%fdupes %{buildroot}%{_libdir}/ct-ng.%{version}/

find %{buildroot}%{_libdir}/ct-ng.%{version}/ -name '.gitignore' -type f -delete -print

mv %{buildroot}%{_docdir}/%{name}/ct-ng.%{version}/* %{buildroot}%{_docdir}/%{name}/
rm -rf %{buildroot}%{_docdir}/%{name}/ct-ng.%{version}/

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/ct-ng
%{_libdir}/ct-ng.%{version}/
%{_docdir}/%{name}/
%{_mandir}/man1/ct-ng.1.gz

%changelog
* Tue May 26 2015 dmitry_r@opensuse.org
- Update to version 1.21.0
  * No changelog available
* Thu Nov 27 2014 dmitry_r@opensuse.org
- Add patches licenses
- Delete patches with problematic licenses
* Mon Oct 27 2014 dmitry_r@opensuse.org
- Initial package, version 1.20.0
